from .....Internal.Core import Core
from .....Internal.CommandsGroup import CommandsGroup


# noinspection PyPep8Naming,PyAttributeOutsideInit,SpellCheckingInspection
class ClearCls:
	"""Clear commands group definition. 1 total commands, 0 Subgroups, 1 group commands"""

	def __init__(self, core: Core, parent):
		self._core = core
		self._cmd_group = CommandsGroup("clear", core, parent)

	def initiate(self) -> None:
		"""SCPI: INITiate:GPRF:MEASurement<Instance>:PLOSs:CLEar \n
		Snippet: driver.gprf.measurement.ploss.clear.initiate() \n
		No command help available \n
		"""
		self._core.io.write(f'INITiate:GPRF:MEASurement<Instance>:PLOSs:CLEar')

	def initiate_with_opc(self, opc_timeout_ms: int = -1) -> None:
		"""SCPI: INITiate:GPRF:MEASurement<Instance>:PLOSs:CLEar \n
		Snippet: driver.gprf.measurement.ploss.clear.initiate_with_opc() \n
		No command help available \n
		Same as initiate, but waits for the operation to complete before continuing further. Use the RsCMPX_Gprf.utilities.opc_timeout_set() to set the timeout value. \n
			:param opc_timeout_ms: Maximum time to wait in milliseconds, valid only for this call."""
		self._core.io.write_with_opc(f'INITiate:GPRF:MEASurement<Instance>:PLOSs:CLEar', opc_timeout_ms)
